Contents

# InStr Function

Returns the position of a string within another string.

The Instr function returns the position at which the match was found. If the string was not found, the function returns 0.

### Syntax:

    InStr ([Start As Long,] String1 As String, String2 As String[, Compare As Integer]) As Integer

### Return type:

Integer

### Parameters:

Start: A numeric expression that marks the position in a string where the search for the specified substring starts. If you omit this parameter, the search starts at the first character of the string. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

String1: The string expression being searched.

String2: The string expression that you want to search for.

Compare: Optional type of comparison. The value can be 0 or 1. The default value of 1 specifies case-insensitive. The value of 0 specifies case-sensitive.

Case-insensitive comparison may use locale specifics, for example, "s" may match "β".

To avoid a run-time error, do not set the Compare parameter if the Start parameter is omitted.

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExamplePosition
      Const sCalc = "LibreOffice Calc"

      Instr(sCalc, "calc")     ' returns 13
      Instr(String1:=sCalc, String2:="calc", Start:=1)  ' returns 13
      Instr(11, sCalc, "c")     ' returns 13
      Instr(11, sCalc, "c",  1) ' returns 13
      Instr(11, sCalc, "c",  0) ' returns 16
    End Sub